org.gjt.sp.jedit

## Class BufferHistory.Entry

- java.lang.Object
- - org.gjt.sp.jedit.BufferHistory.Entry

Enclosing class:
  BufferHistory

    public static class BufferHistory.Entry
    extends java.lang.Object

Recent file list entry.

### Field Summary

Fields
`int` `caret`
`java.lang.String` `encoding`
`java.lang.String` `mode`
`java.lang.String` `path`
`java.lang.String` `selection`

### Constructor Summary

Constructors
Constructor and Description
`BufferHistory.Entry(java.lang.String path, int caret, java.lang.String selection, java.lang.String encoding, java.lang.String mode)`

### Method Summary

Methods
`Selection[]` `getSelection()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### path

    public java.lang.String path

#### caret

    public int caret

#### selection

    public java.lang.String selection

#### encoding

    public java.lang.String encoding

#### mode

    public java.lang.String mode

### Constructor Detail

#### BufferHistory.Entry

    public BufferHistory.Entry(java.lang.String path,
                       int caret,
                       java.lang.String selection,
                       java.lang.String encoding,
                       java.lang.String mode)

### Method Detail

#### getSelection

    public Selection[] getSelection()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`